import request from '@/router/axios';
//列表
export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-sim/simcard/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot-sim/simcard/detail',
    method: 'get',
    params: {
      id
    }
  })
}
//新增
export const add = (row) => {
  return request({
    url: '/api/iot-sim/simcard/save',
    method: 'post',
    data: row
  })
}
//删除
export const remove = (ids) => {
  return request({
    url: '/api/iot-sim/simcard/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//修改
export const update = (row) => {
  return request({
    url: '/api/iot-sim/simcard/update',
    method: 'post',
    data: row
  })
}

//分拨类型下拉
export const allocate = () => {
  return request({
    url: '/api/iot-system/dict/dictionary?code=allocate',
    method: 'get',
  })
}
//租户下拉
export const tenant = () => {
  return request({
    url: '/api/iot-system/tenant/fillData',
    method: 'get',
  })
}
//分拨操作
export const simdeliver = (params) => {
  return request({
    url: '/api/iot-sim/simcard/simdeliver',
    method: 'post',
    params: {
      ...params,
    }
  })
}
//回拨操作
export const simCallback = (params) => {
  return request({
    url: '/api/iot-sim/simcard/simCallback',
    method: 'post',
    params: {
      ...params,
    }
  })
}

//通道
export const channelfillData = () => {
  return request({
    url: '/api/iot-sim/channel/fillData',
    method: 'get',

  })
}
//流量池
export const flowpoolfillData = () => {
  return request({
    url: '/api/iot-sim/flowpool/fillData?isSource=' + 1,
    method: 'get',

  })
}

//基础套餐
export const dataplan = () => {
  return request({
    url: '/api/iot-sim/dataplan/fillData?isSource=' + 2,
    method: 'get',

  })
}
