import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot/device/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot/device/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (id) => {
  return request({
    url: '/api/iot/device/remove',
    method: 'post',
    params: {
      id,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot/device/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/iot/device/update',
    method: 'post',
    data: row
  })
}

/**
 * 获取设备统计
 */
export const getDeviceStatistics = () => request({
  url: '/api/iot/device/statistics',
});
