module.exports = {
  //路径前缀
  publicPath: "/",
  lintOnSave: true,
  productionSourceMap: false,
  chainWebpack: (config) => {
    //忽略的打包文件
    config.externals({
      'vue': 'Vue',
      'vue-router': 'VueRouter',
      'vuex': 'Vuex',
      'axios': 'axios',
      'element-ui': 'ELEMENT',
    });
    const entry = config.entry('app');
    entry.add('babel-polyfill').end();
    entry.add('classlist-polyfill').end();
    entry.add('@/mock').end();
  },
  css: {
    extract: {
      ignoreOrder: true
    }
  },
  //开发模式反向代理配置，生产模式请使用Nginx部署并配置反向代理
  devServer: {
    port: 1888,
    open: true,
    proxy: {
      '/api': {
        //本地服务接口地址
        // target: 'http://192.168.1.106:8081', // 民
        // target: 'http://192.168.1.253:8081',//测试环境
        target: 'http://192.168.1.120:9081', //吴
        // target: 'http://223.99.228.240:18081', // 生产环境
        ws: true,
        pathRewrite: {
          '^/api': '/'
        }
      }
    }
  }
};
